<?php


// spxdatasJsonmanager::savedatajson($file, $adatas);

class spxmenuBootstrap {

	/**
	 * Méthode qui retourne le menu principal
	 *
	 * @return	string // html menu;
	 * @author	JE-EVRARD
	 **/
	public static function getMenuBootstrap($omenu, $amaenutmp, $menuselect,$oatts){
		$out="";
		$out.='<div class="'.$oatts["bootstrap_navbar_collapse"].'"><ul class="'.$oatts["bootstrap_navbar_nav"].'">';
		
		for ($i=0;$i<count($amaenutmp);$i++){
			$classselect="";
			if ($amaenutmp[$i]["sub"]>0){
				if ($menuselect==$i) 
					$classselect="active ";

				$out.= '<li class="'.$classselect.'dropdown">';
					$out.= '<a href="#" class="dropdown-toggle" data-toggle="dropdown">'.$amaenutmp[$i]["title"].'<b class="caret"></b></a>';
					$out.= '<ul class="dropdown-menu">';
						for ($j=0;$j<count($amaenutmp[$i]["sub"]);$j++){
							$p=$amaenutmp[$i]["sub"][$j]["url"];
							$t=$amaenutmp[$i]["sub"][$j]["title"];
							$m=$amaenutmp[$i]["sub"][$j]["menu_id"];
							$mode = $amaenutmp[$i]["sub"][$j]["mode"];
							$id = $amaenutmp[$i]["sub"][$j]["id"];
							$url = $omenu->getUrlFromMode($amaenutmp[$i]["sub"][$j]["mode"],$amaenutmp[$i]["sub"][$j]["id"],$amaenutmp[$i]["sub"][$j]["otherlink"]);
							$target = $amaenutmp[$i]["sub"][$j]["target"];
							//$out.='<li class="divider"></li>';
							//$out.= '<li><a '.$target.' href="'.$url.'">'.$t.'</a></li>';
							$out.= self::getSubMenu ($omenu, "2",$classselect,$target,$url,$t,$mode,$id);
						}
						
					$out.= '</ul>';
				$out.= '</li>';
				
			}else{
				
				if ($menuselect==$i) {
					$classselect=" class=active ";
				}
				$p=$amaenutmp[$i]["url"];
				$t=$amaenutmp[$i]["title"];
				$m=$amaenutmp[$i]["menu_id"];
				$url = $omenu->getUrlFromMode($amaenutmp[$i]["mode"],$amaenutmp[$i]["id"],$amaenutmp[$i]["otherlink"]);
				$target = $amaenutmp[$i]["target"];
				
				$out.= '<li'.$classselect.'><a '.$target.' href="'.$url.'">'.$t.'</a></li>';
			
			}
		}
		
		$out.='</ul></div>';
		return $out;	
	}
	
	/**
	 * Méthode qui retourne le sous menu
	 *
	 * @return	string // html menu;
	 * @author	JE-EVRARD
	 **/
	public static function getSubMenu ($omenu, $level,$classselect,$target,$url,$t,$mode,$id){
		//echo ("getsubmenu= level=".$level." classselect=".$classselect." target=".$target." url=".$url." t=".$t." mode=".$mode." id=".$ids);
		if ($level=="1"){
			# level 1 : $out.= '<li'.$classselect.'><a '.$target.' href="'.$url.'">'.$t.'</a></li>';
			$out= '<li class="'.$classselect.'" ><a '.$target.' href="'.$url.'">'.$t.'</a></li>';
		}else{
			# level 2 : $out.= '<li><a '.$target.' href="'.$url.'">'.$t.'</a></li>';
			if ($mode=="groupstatic"){
				$tmp = $omenu->asubMenuStaticGroup[$id];
				$out = self::getSubMenuBootstrap ($tmp,$t);
				/* or this
					<li>
						<a href="#">menu item</a>
						<ul>
							<li class="current"><a href="#">menu item</a></li>
							<li><a href="#aba">menu item</a></li>
		
						</ul>
				*/
			}else if ($mode=="articlecategorie"){
				$tmp = $omenu->getArticleList ($id);
				$out = self::getSubMenuBootstrap ($tmp,$t);
				
			}else{
				$out= '<li><a '.$target.' href="'.$url.'">'.$t.'</a></li>';
			}
			$out.= '';
		}
		return $out;
	}
	
	/**
	 * Méthode qui sous menu niveau 3
	 *
	 * @return	string // html menu;
	 * @author	JE-EVRARD
	 **/
	public static function getSubMenuBootstrap ($tmp,$t){
		$out='<li class="dropdown" ><a class="dropdown-toggle" data-toggle="dropdown" href="#">'.$t.'<b class="caret"></b></a>';
		$out.='<ul class="dropdown-menu" data-toggle="dropdown" >';
		foreach($tmp as $key=>$val) {
			$out.='<li><a href="'.$val["url"].'">'.$val["title"].'</a></li>';
		}
		$out.='</ul></li>';
		return $out;
	}
	
}

