<?php


// spxdatasJsonmanager::savedatajson($file, $adatas);

class spxmenuBootstrappro {

	/**
	 * Méthode qui retourne le menu principal
	 *
	 * @return	string // html menu;
	 * @author	JE-EVRARD
	 **/
	 
	/*
	
	// with level 1 and 2
	[ SPXWMENU 
	id=001 
	menu_type='bootstrappro' 
	
	bspro_navbar_collapse=''
	bspro_navbar_collapse_type='nav' 
	
	bspro_navbar_nav='nav nav-pills' 
	bspro_navbar_nav_id='mainNav' 
	
	bspro_bcaret='' // no caret inside the title
	
	bspro_dropdown = dropdown
	bspro_dropdown_menu = dropdown-menu
	bspro_dropdown_submenu = dropdown-submenu
	
	]
	
	

	
	<-- navbar-collapse-->
	<nav class="">
		<-- bspro_navbar_nav-->
		<ul class="nav nav-pills id="mainNav" >
			<li class="active" ><a  href="http://secretsitebox.fr/site2/">Home</a></li>
			<-- bspro_dropdown-->
			<li class="dropdown" ><a href="#" class="dropdown-toggle" data-toggle="dropdown">Liens 1</a>
				<-- bspro_dropdown-menu-->
				<ul class="dropdown-menu">
					<li class=""><a  href="http://secretsitebox.fr/site2/index.php?static001/statique-1">Liens 2</a></li>
					<li class=""><a  href="http://secretsitebox.fr/site2/index.php?categorie1/rubrique-1">Liens 3</a></li>
				</ul>
			</li>
		</ul>
	</nav>


	
	
	// with level 1 2 and 3
	<-- navbar-collapse-->
	<nav>
		<-- bspro_navbar_nav-->
		<ul class="nav nav-pills" id="mainNav">
			<li class="active" >
				<a  href="http://secretsitebox.fr/site2/">Home</a>
			</li>
			<-- bspro_dropdown-->
			<li class="dropdown">
				<a href="#" class="dropdown-toggle" data-toggle="dropdown">Liens 1</a>
				<-- bspro_dropdown-menu-->
				<ul class="dropdown-menu">
					<li><a  href="http://secretsitebox.fr/site2/index.php?static001/statique-1">Liens 2</a></li>
					<li><a  href="http://secretsitebox.fr/site2/index.php?categorie1/rubrique-1">Liens 3</a></li>
				</ul>
			</li>
			<-- bspro_dropdown-->
			<li class="dropdown">
				<a class="dropdown-toggle" href="#">Pages</a>
				<-- bspro_dropdown-menu-->
				<ul class="dropdown-menu">
					<-- bspro_dropdown-submenu-->
					<li class="dropdown-submenu">
						<a href="#">Shop</a>
						<-- bspro_dropdown-menu-->
						<ul class="dropdown-menu">
							<li><a href="shop-full-width.html">Shop - Full Width</a></li>
							<li><a href="shop-sidebar.html">Shop - Sidebar</a></li>
							<li><a href="shop-product-full-width.html">Shop - Product Full Width</a></li>
							<li><a href="shop-product-sidebar.html">Shop - Product Sidebar</a></li>
							<li><a href="shop-cart.html">Shop - Cart</a></li>
							<li><a href="shop-login.html">Shop - Login</a></li>
							<li><a href="shop-checkout.html">Shop - Checkout</a></li>
						</ul>
					</li>
				</ul>
			</li>
	
		</ul>
	</nav>
	
	
	
	
	
	*/ 
	 
	 
	 
	public static function getMenuBootstrap($omenu, $amaenutmp, $menuselect,$oatts){
		
		$out="";
		$out.='<'.$oatts["bspro_navbar_collapse_type"].' class="'.$oatts["bspro_navbar_collapse"].'"><ul class="'.$oatts["bspro_navbar_nav"].' id="'.$oatts["bspro_navbar_nav_id"].'" >';
		
		for ($i=0;$i<count($amaenutmp);$i++){
			$classselect="";
			if ($amaenutmp[$i]["sub"]>0){
				if ($menuselect==$i) 
					$classselect="active ";

				$out.= '<li class="'.$classselect.$oatts["bspro_dropdown"].'" >';
					$out.= '<a href="#" class="dropdown-toggle" data-toggle="dropdown">'.$amaenutmp[$i]["title"].$oatts["bootstrappro_bcaret"].'</a>';
					$out.= '<ul class="'.$oatts["bspro_dropdown_menu"].'">';
						for ($j=0;$j<count($amaenutmp[$i]["sub"]);$j++){
							$p=$amaenutmp[$i]["sub"][$j]["url"];
							$t=$amaenutmp[$i]["sub"][$j]["title"];
							$m=$amaenutmp[$i]["sub"][$j]["menu_id"];
							$mode = $amaenutmp[$i]["sub"][$j]["mode"];
							$id = $amaenutmp[$i]["sub"][$j]["id"];
							$url = $omenu->getUrlFromMode($amaenutmp[$i]["sub"][$j]["mode"],$amaenutmp[$i]["sub"][$j]["id"],$amaenutmp[$i]["sub"][$j]["otherlink"]);
							$target = $amaenutmp[$i]["sub"][$j]["target"];
							$out.= self::getSubMenu ($omenu, "2",$classselect,$target,$url,$t,$mode,$id,$oatts);
						}
						
					$out.= '</ul>';
				$out.= '</li>';
				
			}else{
				
				if ($menuselect==$i) {
					$classselect=' class="active" ';
				}
				$p=$amaenutmp[$i]["url"];
				$t=$amaenutmp[$i]["title"];
				$m=$amaenutmp[$i]["menu_id"];
				$url = $omenu->getUrlFromMode($amaenutmp[$i]["mode"],$amaenutmp[$i]["id"],$amaenutmp[$i]["otherlink"]);
				$target = $amaenutmp[$i]["target"];
				
				$out.= '<li'.$classselect.'><a '.$target.' href="'.$url.'">'.$t.'</a></li>';
			}
		}
		
		$out.='</ul></'.$oatts["bspro_navbar_collapse_type"].'>';
		return $out;	
	}
	
	/**
	 * Méthode qui retourne le sous menu
	 *
	 * @return	string // html menu;
	 * @author	JE-EVRARD
	 **/
	public static function getSubMenu ($omenu, $level,$classselect,$target,$url,$t,$mode,$id,$oatts){
		
		if ($level=="1"){
			# level 1 : $out.= '<li'.$classselect.'><a '.$target.' href="'.$url.'">'.$t.'</a></li>';
			$out= '<li class="'.$classselect.'"><a '.$target.' href="'.$url.'">'.$t.'</a></li>';
		}else{
		
			# level 2 : $out.= '<li><a '.$target.' href="'.$url.'">'.$t.'</a></li>';
			if ($mode=="groupstatic"){
				$tmp = $omenu->asubMenuStaticGroup[$id];
				$out = self::getSubMenuBootstrap ($tmp,$t,$oatts);
				/* or this
					<li>
						<a href="#">menu item</a>
						<ul>
							<li class="current"><a href="#">menu item</a></li>
							<li><a href="#aba">menu item</a></li>
		
						</ul>
				*/
			}else if ($mode=="articlecategorie"){
				$tmp = $omenu->getArticleList ($id);
				$out = self::getSubMenuBootstrap ($tmp,$t,$oatts);
				
			}else{
				//echo ("getsubmenu= level=".$level." classselect=".$classselect." bootstrapdropdownsubmenu=".$$bootstrapdropdownsubmenu." target=".$target." url=".$url." t=".$t." mode=".$mode." id=".$ids);
				$out= '<li class="'.$classselect.'"><a '.$target.' href="'.$url.'">'.$t.'</a></li>';
			}
			$out.= '';
		}
		return $out;
	}
	
	/**
	 * Méthode qui sous menu niveau 3
	 *
	 * @return	string // html menu;
	 * @author	JE-EVRARD
	 **/
	public static function getSubMenuBootstrap ($tmp,$t,$oatts){
		$out='<li class="'.$oatts["bspro_dropdown_submenu"].'" ><a class="dropdown-toggle" data-toggle="dropdown" href="#">'.$t.$oatts["bootstrappro_bcaret"].'</a>';
		$out.='<ul class="'.$oatts["bspro_dropdown_menu"].'" data-toggle="dropdown" >';
		foreach($tmp as $key=>$val) {
			$out.='<li><a href="'.$val["url"].'">'.$val["title"].'</a></li>';
		}
		$out.='</ul></li>';
		return $out;
	}
	
}

